package com.philisense.www.dao.impl;

import com.philisense.www.dao.ProSystemDAO;
import com.philisense.www.mapper.ProSystemMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;


import java.util.List;
import java.util.Map;

@Repository
public class ProSystemDAOImpl implements ProSystemDAO {
        @Autowired
        private ProSystemMapper proSystemMapper;
        @Override
        public int deleteByPrimaryKey(String id) {
            return proSystemMapper.deleteByPrimaryKey(id);
        }

        @Override
        public Map<String, Object> selectByPrimaryKey(String id) {
            return proSystemMapper.selectByPrimaryKey(id);
        }

        @Override
        public int insert(Map<String, Object> map) {
            return proSystemMapper.insert(map);
        }

        @Override
        public int update(Map<String, Object> map) {
            return proSystemMapper.update(map);
        }

        @Override
        public int deleteByMap(Map<String, Object> map) {
            return proSystemMapper.deleteByMap(map);
        }

        @Override
        public int updateByMap(Map<String, Object> map) {
            return proSystemMapper.updateByMap(map);
        }

        @Override
        public Map<String, Object> getOne(Map<String, Object> map) {
            return proSystemMapper.getOne(map);
        }

        @Override
        public List<Map<String, Object>> getAll(Map<String, Object> map) {
            return proSystemMapper.getAll(map);
        }

        @Override
        public List<Map<String, Object>> queryPage(Map<String, Object> map) {
            return proSystemMapper.queryPage(map);
        }

        @Override
        public int count(Map<String, Object> map) {
            return proSystemMapper.count(map);
        }

        @Override
        public void insertBatch(List<Map<String, Object>> list) {
            proSystemMapper.insertBatch(list);
        }

        @Override
        public void deleteBatch(List<Map<String, Object>> list) {
            proSystemMapper.deleteBatch(list);
        }

        @Override
        public void updateBatch(List<Map<String, Object>> list) {
            proSystemMapper.updateBatch(list);
        }
}
